SPA Data Validators
SPA: Creates a new Data Validator
Creates a new data validator for the authenticated user's client.
POST
/api/spa/data_validatorsAuthorizations
X-AUTH-TOKEN
stringheaderrequired
Value for the X-AUTH-TOKEN header parameter.
Request Body
application/json
required
The new DataValidator resource
{
"identifier": "string",
"description": "Example description",
"condition": "string",
"errorMessage": "string",
"invalidOnTrue": true,
"templates": [
"string"
],
"emailTemplates": [
"user@example.com"
],
"subClient": {},
"active": true,
"activeFrom": "2024-01-01",
"subClientDefault": false
}Response
201
DataValidator resource created
id
integer
identifier
stringrequired
description
string
condition
string
errorMessage
string
invalidOnTrue
boolean
templates
string[]
emailTemplates
string[]
createdBy
string
User, created this entry
updatedBy
string
User, updated this entry
createdAt
string<date-time>
UTC date time of entry creation
updatedAt
string<date-time>
UTC date time of last entry update
active
boolean
Active flag. Default: true
activeFrom
string<date-time>
Date to activate the entry. Default: today
subClientDefault
boolean
Default for environmental tenants (sub-clients)
subClientId
integer
SubClient ID. Provided on instances with enabled sub-client module only.
subClientDescription
string
SubClient description. Provided on instances with enabled sub-client module only.